Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.view
Class HtmlView

    java.lang.Object
      net.sourceforge.pebble.web.view.View
          net.sourceforge.pebble.web.view.JspView
              net.sourceforge.pebble.web.view.HtmlView

Direct Known Subclasses:
  AboutAuthorView, AboutView, AdvancedSearchView, BlogDetailsView, BlogEntriesView, BlogEntryFormView, BlogEntryView, BlogPropertiesView, BlogSecurityView, BlogsView, CategoriesView, ChangePasswordView, CommentConfirmationView, CommentFormView, CommunityView, ConfirmCommentView, ConfirmTrackBackView, CountriesView, EmailSubscribersView, ErrorView, FeedsView, FileFormView, FilesView, FileTooLargeView, FourZeroFourView, FourZeroOneView, FourZeroThreeView, HelpPageView, LoginPageView, LogSummaryByMonthView, LogSummaryByYearView, MessagesView, NotEnoughSpaceView, PasswordChangedView, PebblePropertiesView, PluginsView, PublishBlogEntryView, RefererFiltersView, ReferersView, RemoveEmailAddressConfirmationView, RemoveEmailAddressView, RequestsByHourView, RequestsByTypeView, RequestsView, ResponsesView, SearchResultsView, StaticPageFormView, StaticPagesView, StaticPageView, SubscribedView, SubscribeView, TagsView, TemplatesView, TrackBackFormView, TrackBackLinkView, TrackBackSentView, UnpublishedBlogEntriesView, UnsubscribedView, UnsubscribeView, UserAgentsView, UserDetailsView, UserPreferencesView, UsersView, UserView, UtilitiesView

    public abstract class HtmlView

extends JspView

Represents a HTML view component, implemented by a JSP and prepares the model for display.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `DEFAULT_THEME`
`static java.lang.String` | `SYSTEM_THEME`

Constructor Summary
`HtmlView()`

Method Summary
`void` | `dispatch(HttpServletRequest request, HttpServletResponse response, ServletContext context)` Dispatches this view.
`java.lang.String` | `getContentType()` Gets the title of this view.
`protected int` | `getStatus()`
`protected java.lang.String` | `getTheme()` Gets the name of the theme to use.
`abstract java.lang.String` | `getTitle()` Gets the title of this view.

Methods inherited from class net.sourceforge.pebble.web.view.JspView
`getUri`

Methods inherited from class net.sourceforge.pebble.web.view.View
`getModel, getServletContext, prepare, setModel, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_THEME

    public static final java.lang.String SYSTEM_THEME

See Also:
  Constant Field Values

### DEFAULT_THEME

    public static final java.lang.String DEFAULT_THEME

See Also:
  Constant Field Values

Constructor Detail

### HtmlView

    public HtmlView()

Method Detail

### getContentType

    public java.lang.String getContentType()

  Gets the title of this view.

  Specified by:
    `getContentType` in class `View`
  Returns:
    the title as a String

### getTitle

    public abstract java.lang.String getTitle()

  Gets the title of this view.

  Returns:
    the title as a String

### getTheme

    protected java.lang.String getTheme()

  Gets the name of the theme to use.

  Returns:
    the theme name as a String

### getStatus

    protected int getStatus()

### dispatch

    public void dispatch(HttpServletRequest request,
                         HttpServletResponse response,
                         ServletContext context)
                  throws ServletException

  Dispatches this view.

  Specified by:
    `dispatch` in class `View`
  Parameters:
    `request` - the HttpServletRequest instance
    `response` - the HttpServletResponse instance
    `context` -
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.